> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/currency.md).

# Currency

Currency

## List foreign currencies

> List foreign currencies.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Currency","description":"Currency"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"CurrencyListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"CurrencyResponseSchema":{"title":"CurrencyResponseSchema","type":"object","required":["currencyUid","currencyCode","exchangeRate","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"currencyUid":{"$ref":"#/components/schemas/UID"},"currencyCode":{"type":"string","description":"ISO 4217 standard"},"exchangeRate":{"type":"integer","description":"in cents (2 decimals)"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}}}},"paths":{"/tenants/{tenantUid}/currencies":{"get":{"summary":"List foreign currencies","tags":["Currency"],"responses":{"200":{"$ref":"#/components/responses/CurrencyListResponse"}},"operationId":"list-currencies","description":"List foreign currencies.","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"}]}}}}
```

## Add currency

> Add a currency with exchange rate.  \
> Currency codes follow the ISO 4217 standard.  \
> Exchange rates are entered as integers in cents (2 decimals).\
> \
> Required permissions: FOREIGN\_CURRENCY

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Currency","description":"Currency"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"CurrencyResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyResponseSchema"}}}}},"schemas":{"CurrencyResponseSchema":{"title":"CurrencyResponseSchema","type":"object","required":["currencyUid","currencyCode","exchangeRate","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"currencyUid":{"$ref":"#/components/schemas/UID"},"currencyCode":{"type":"string","description":"ISO 4217 standard"},"exchangeRate":{"type":"integer","description":"in cents (2 decimals)"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}},"requestBodies":{"CurrencyCreateRequest":{"content":{"application/json":{"schema":{"type":"object","required":["currencyCode","exchangeRate"],"properties":{"currencyUid":{"$ref":"#/components/schemas/OptionalUID"},"currencyCode":{"type":"string","description":"ISO 4217 standard"},"exchangeRate":{"type":"integer","description":"in cents (2 decimals)"}}}}}}}},"paths":{"/tenants/{tenantUid}/currencies":{"post":{"summary":"Add currency","operationId":"post-currencies","responses":{"201":{"$ref":"#/components/responses/CurrencyResponse"}},"description":"Add a currency with exchange rate.  \nCurrency codes follow the ISO 4217 standard.  \nExchange rates are entered as integers in cents (2 decimals).\n\nRequired permissions: FOREIGN_CURRENCY","requestBody":{"$ref":"#/components/requestBodies/CurrencyCreateRequest"},"tags":["Currency"]}}}}
```

## Get currency

> Get a currency.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Currency","description":"Currency"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"CurrencyResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyResponseSchema"}}}}},"schemas":{"CurrencyResponseSchema":{"title":"CurrencyResponseSchema","type":"object","required":["currencyUid","currencyCode","exchangeRate","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"currencyUid":{"$ref":"#/components/schemas/UID"},"currencyCode":{"type":"string","description":"ISO 4217 standard"},"exchangeRate":{"type":"integer","description":"in cents (2 decimals)"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/currencies/{currencyUid}":{"get":{"summary":"Get currency","tags":["Currency"],"responses":{"200":{"$ref":"#/components/responses/CurrencyResponse"}},"operationId":"get-currencies","description":"Get a currency."}}}}
```

## Update currency

> Update a currency.\
> \
> Required permissions: FOREIGN\_CURRENCY

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Currency","description":"Currency"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"CurrencyResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyResponseSchema"}}}}},"schemas":{"CurrencyResponseSchema":{"title":"CurrencyResponseSchema","type":"object","required":["currencyUid","currencyCode","exchangeRate","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"currencyUid":{"$ref":"#/components/schemas/UID"},"currencyCode":{"type":"string","description":"ISO 4217 standard"},"exchangeRate":{"type":"integer","description":"in cents (2 decimals)"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"requestBodies":{"CurrencyUpdateRequest":{"content":{"application/json":{"schema":{"type":"object","properties":{"currencyCode":{"type":"string","description":"ISO 4217 standard"},"exchangeRate":{"type":"integer","description":"in cents (2 decimals)"}}}}}}}},"paths":{"/tenants/{tenantUid}/currencies/{currencyUid}":{"put":{"summary":"Update currency","operationId":"put-currencies","responses":{"200":{"$ref":"#/components/responses/CurrencyResponse"}},"tags":["Currency"],"requestBody":{"$ref":"#/components/requestBodies/CurrencyUpdateRequest"},"description":"Update a currency.\n\nRequired permissions: FOREIGN_CURRENCY"}}}}
```

## Delete currency

> Delete a currency.\
> \
> Required permissions: FOREIGN\_CURRENCY

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Currency","description":"Currency"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/currencies/{currencyUid}":{"delete":{"summary":"Delete currency","operationId":"delete-currencies","responses":{"204":{"description":"No Content"}},"tags":["Currency"],"description":"Delete a currency.\n\nRequired permissions: FOREIGN_CURRENCY"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/currency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
